// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic'])

.run(function($ionicPlatform,$ionicPopup,$timeout, $ionicLoading) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }

    if(window.Connection) {
                if(navigator.connection.type == Connection.NONE) {
                    $ionicPopup.alert({
                        title: "Pas d'internet",
                        template: "pas de connextion internet dans votre mobile."
                    }).then(function(res) {
                            ionic.Platform.exitApp();});
                        
                    
                }
            }
  });

   $ionicLoading.show({
    content: 'Chargement ...',
    animation: 'fade-in',
    showBackdrop: true,
    maxWidth: 200,
    showDelay: 
  });
  
  // Set a timeout to clear loader, however you would actually call the $ionicLoading.hide(); method whenever everything is ready or loaded.
  $timeout(function () {
    $ionicLoading.hide();
$ionicPopup.alert({
     title: 'Attention !',
     template: '<center>une erreur a arréter le processus d\'activation, Merci de relancer l\'application.<center>'
   });


  }, 50000).then(function(res) {
                            ionic.Platform.exitApp();});
})

.controller('Appclick', function($scope, $timeout, $ionicLoading,$ionicPopup) {
  
  $scope.hide = function(){
    $ionicLoading.hide();
  };
   $scope.name = 'Activer';

  $scope.go = function() {
   // Setup the loader
 
  

  };
});
